Package org.apache.log4j.helpers

## Interface Constants

-     public interface Constants

  Constants used internally throughout log4j.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ABSOLUTE_FORMAT` | ABSOLUTE string literal.
    `static String` | `ABSOLUTE_TIME_PATTERN` | SimpleTimePattern for ABSOLUTE.
    `static String` | `APPLICATION_KEY` | application string literal.
    `static String` | `CODES_HREF` | Codes URL string literal.
    `static String` | `CONFIGURATOR_CLASS_KEY` | log4j.configuratorClass string literal.
    `static String` | `DATE_AND_TIME_FORMAT` | DATE string literal.
    `static String` | `DATE_AND_TIME_PATTERN` | SimpleTimePattern for DATE.
    `static String` | `DEFAULT_CONFIGURATION_FILE` | The default property file name for automatic configuration.
    `static String` | `DEFAULT_CONFIGURATION_KEY` | log4j.configuration string literal.
    `static String` | `DEFAULT_REPOSITORY_NAME` | The name of the default repository is "default" (without the quotes).
    `static String` | `DEFAULT_XML_CONFIGURATION_FILE` | The default XML configuration file name for automatic configuration.
    `static String` | `GROUP_KEY` | group string literal.
    `static String` | `HOSTNAME_KEY` | hostname string literal.
    `static String` | `ISO8601_FORMAT` | ISO8601 string literal.
    `static String` | `ISO8601_PATTERN` | SimpleTimePattern for ISO8601.
    `static String` | `JNDI_CONTEXT_NAME` | JNDI context name string literal.
    `static String` | `LOG4J_ID_KEY` | log4jid string literal.
    `static String` | `LOG4J_PACKAGE_NAME` | log4j package name string literal.
    `static String` | `RECEIVER_NAME_KEY` | receiver string literal.
    `static String` | `SIMPLE_TIME_PATTERN` | SimpleTimePattern for ABSOLUTE.
    `static String` | `TEMP_CONSOLE_APPENDER_NAME` | TEMP_CONSOLE_APPENDER string literal.
    `static String` | `TEMP_LIST_APPENDER_NAME` | TEMP_LIST_APPENDER string literal.
    `static String` | `TIMESTAMP_RULE_FORMAT` | time stamp pattern string literal.

- - ### Field Detail

    - #### LOG4J_PACKAGE_NAME

          static final String LOG4J_PACKAGE_NAME

      log4j package name string literal.
      See Also:
        Constant Field Values

    - #### DEFAULT_REPOSITORY_NAME

          static final String DEFAULT_REPOSITORY_NAME

      The name of the default repository is "default" (without the quotes).
      See Also:
        Constant Field Values

    - #### APPLICATION_KEY

          static final String APPLICATION_KEY

      application string literal.
      See Also:
        Constant Field Values

    - #### HOSTNAME_KEY

          static final String HOSTNAME_KEY

      hostname string literal.
      See Also:
        Constant Field Values

    - #### RECEIVER_NAME_KEY

          static final String RECEIVER_NAME_KEY

      receiver string literal.
      See Also:
        Constant Field Values

    - #### GROUP_KEY

          static final String GROUP_KEY

      group string literal.
      See Also:
        Constant Field Values

    - #### LOG4J_ID_KEY

          static final String LOG4J_ID_KEY

      log4jid string literal.
      See Also:
        Constant Field Values

    - #### TIMESTAMP_RULE_FORMAT

          static final String TIMESTAMP_RULE_FORMAT

      time stamp pattern string literal.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIGURATION_FILE

          static final String DEFAULT_CONFIGURATION_FILE

      The default property file name for automatic configuration.
      See Also:
        Constant Field Values

    - #### DEFAULT_XML_CONFIGURATION_FILE

          static final String DEFAULT_XML_CONFIGURATION_FILE

      The default XML configuration file name for automatic configuration.
      See Also:
        Constant Field Values

    - #### DEFAULT_CONFIGURATION_KEY

          static final String DEFAULT_CONFIGURATION_KEY

      log4j.configuration string literal.
      See Also:
        Constant Field Values

    - #### CONFIGURATOR_CLASS_KEY

          static final String CONFIGURATOR_CLASS_KEY

      log4j.configuratorClass string literal.
      See Also:
        Constant Field Values

    - #### JNDI_CONTEXT_NAME

          static final String JNDI_CONTEXT_NAME

      JNDI context name string literal.
      See Also:
        Constant Field Values

    - #### TEMP_LIST_APPENDER_NAME

          static final String TEMP_LIST_APPENDER_NAME

      TEMP_LIST_APPENDER string literal.
      See Also:
        Constant Field Values

    - #### TEMP_CONSOLE_APPENDER_NAME

          static final String TEMP_CONSOLE_APPENDER_NAME

      TEMP_CONSOLE_APPENDER string literal.
      See Also:
        Constant Field Values

    - #### CODES_HREF

          static final String CODES_HREF

      Codes URL string literal.
      See Also:
        Constant Field Values

    - #### ABSOLUTE_FORMAT

          static final String ABSOLUTE_FORMAT

      ABSOLUTE string literal.
      See Also:
        Constant Field Values

    - #### ABSOLUTE_TIME_PATTERN

          static final String ABSOLUTE_TIME_PATTERN

      SimpleTimePattern for ABSOLUTE.
      See Also:
        Constant Field Values

    - #### SIMPLE_TIME_PATTERN

          static final String SIMPLE_TIME_PATTERN

      SimpleTimePattern for ABSOLUTE.
      See Also:
        Constant Field Values

    - #### DATE_AND_TIME_FORMAT

          static final String DATE_AND_TIME_FORMAT

      DATE string literal.
      See Also:
        Constant Field Values

    - #### DATE_AND_TIME_PATTERN

          static final String DATE_AND_TIME_PATTERN

      SimpleTimePattern for DATE.
      See Also:
        Constant Field Values

    - #### ISO8601_FORMAT

          static final String ISO8601_FORMAT

      ISO8601 string literal.
      See Also:
        Constant Field Values

    - #### ISO8601_PATTERN

          static final String ISO8601_PATTERN

      SimpleTimePattern for ISO8601.
      See Also:
        Constant Field Values